<ion-header class="header-shadow">
  <ion-toolbar mode="ios" class="header-page" color="light">
    <ion-buttons class="btn-back" slot="start">
      <ion-button (click)="cancel()">
        <ion-icon slot="icon-only" name="close"></ion-icon>
      </ion-button>
    </ion-buttons>
    <ion-title>
      Nhận xét
    </ion-title>
  </ion-toolbar>
</ion-header>
<ion-content class="background-content" [scrollEvents]="true" (pandown)="cancel()">
  <div *ngIf="this.data">
    <ion-list class="user-rating ion-margin-bottom" lines="none">
      <div class="rating-total" *ngIf="dataDangTin">
        <div class="rating-score-total">
          <span class="rating-score-total-value">{{this.dataDangTin.AvgRate}}/5</span>
          <ion-rating margin-bottom-content [readonly]="true" size="small" [rate]="this.dataDangTin.AvgRate"
            space="around">
          </ion-rating>
          <span>({{this.dataDangTin.TotalRate}} nhận xét)</span>
        </div>
        <div class="rating-detail">
          <div class="rating-detail-item">
            <div class="rating-detail-label">
              <ion-rating slot="end" [readonly]="true" size="small" [rate]="5">
              </ion-rating>
            </div>
            <ion-progress-bar class="rating-progress" color="success" [value]="this.dataDangTin.Rate5 || 0">
            </ion-progress-bar>
            <span class="rating-value">{{this.dataDangTin.Rate5PT}}%</span>
          </div>
          <div class="rating-detail-item">
            <div class="rating-detail-label">
              <ion-rating slot="end" [readonly]="true" size="small" [rate]="4">
              </ion-rating>
            </div>
            <ion-progress-bar class="rating-progress" color="success" [value]="this.dataDangTin.Rate4 || 0">
            </ion-progress-bar>
            <span class="rating-value">{{this.dataDangTin.Rate4PT}}%</span>
          </div>
          <div class="rating-detail-item">
            <div class="rating-detail-label">
              <ion-rating slot="end" [readonly]="true" size="small" [rate]="3">
              </ion-rating>
            </div>
            <ion-progress-bar class="rating-progress" color="success" [value]="this.dataDangTin.Rate3 || 0">
            </ion-progress-bar>
            <span class="rating-value">{{this.dataDangTin.Rate3PT}}%</span>
          </div>
          <div class="rating-detail-item">
            <div class="rating-detail-label">
              <ion-rating slot="end" [readonly]="true" size="small" [rate]="2">
              </ion-rating>
            </div>
            <ion-progress-bar class="rating-progress" color="success" [value]="this.dataDangTin.Rate2 || 0">
            </ion-progress-bar>
            <span class="rating-value">{{this.dataDangTin.Rate2PT}}%</span>
          </div>
          <div class="rating-detail-item">
            <div class="rating-detail-label">
              <ion-rating slot="end" [readonly]="true" size="small" [rate]="1">
              </ion-rating>
            </div>
            <ion-progress-bar class="rating-progress" color="success" [value]="this.dataDangTin.Rate1 || 0">
            </ion-progress-bar>
            <span class="rating-value">{{this.dataDangTin.Rate1PT}}%</span>
          </div>
        </div>
      </div>

    </ion-list>
    <ion-list class="user-rating ion-margin-bottom">
      <ion-item *ngFor="let item of data">
        <ion-thumbnail class="img-user" slot="start">
          <img [src]="item.UrlHinhDaiDienThanhVien">
        </ion-thumbnail>
        <ion-label>
          <div class="info-rating">
            <h2 class="title">{{ item.HoTenThanhVien || 'Chưa cập nhật' }} </h2>
            <div>
              <ion-rating slot="end" [readonly]="true" size="small" [rate]="item.Rating" space="around">
              </ion-rating>
            </div>
          </div>
          <ion-text>
            <h3 [innerHTML]="item.Description"></h3>
          </ion-text>
          <p>{{item.NgayCapNhat || item.NgayTao | date: "dd/MM/yyyy"}}</p>
        </ion-label>
      </ion-item>
    </ion-list>
    <ion-infinite-scroll *ngIf="data && data.length > 0 && data.length < totalItems" (ionInfinite)="doInfinite($event)">
      <ion-infinite-scroll-content></ion-infinite-scroll-content>
    </ion-infinite-scroll>
  </div>

  <div *ngIf="!data">
    <ion-list class="ion-margin-bottom">
      <ion-row class="ion-padding">
        <ion-col size="4">
          <ion-skeleton-text class="ion-no-margin skeleton-thumb" animated style="width: 100%; height: 100px;">
          </ion-skeleton-text>
        </ion-col>
        <ion-col size="8">
          <ion-label>
            <p>
              <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
            </p>
            <p>
              <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
            </p>
            <p>
              <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
            </p>
            <p>
              <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
            </p>
            <p>
              <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
            </p>
          </ion-label>
        </ion-col>
      </ion-row>


    </ion-list>
    <ion-list class="ion-margin-bottom">
      <ion-item lines="none">
        <ion-avatar slot="start">
          <ion-skeleton-text class="skeleton-thumb" animated style="width: 100%;"></ion-skeleton-text>
        </ion-avatar>
        <ion-label>
          <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
          <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
          <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
        </ion-label>
      </ion-item>
      <ion-item lines="none">
        <ion-avatar slot="start">
          <ion-skeleton-text class="skeleton-thumb" animated style="width: 100%;"></ion-skeleton-text>
        </ion-avatar>
        <ion-label>
          <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
          <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
          <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
        </ion-label>
      </ion-item>
      <ion-item lines="none">
        <ion-avatar slot="start">
          <ion-skeleton-text class="skeleton-thumb" animated style="width: 100%;"></ion-skeleton-text>
        </ion-avatar>
        <ion-label>
          <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
          <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
          <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
        </ion-label>
      </ion-item>
      <ion-item lines="none">
        <ion-avatar slot="start">
          <ion-skeleton-text class="skeleton-thumb" animated style="width: 100%;"></ion-skeleton-text>
        </ion-avatar>
        <ion-label>
          <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
          <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
          <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
        </ion-label>
      </ion-item>
    </ion-list>
  </div>




</ion-content>

<ion-fab vertical="bottom">
  <div class="fixed-bottom-container">
    <ion-button *ngIf="variables.isLoginThanhVien" color="secondary" (click)="openModalRatingTinDang()" expand="block"
      class="btn-create-rating">
      <ion-label>
        Viết nhận xét
      </ion-label>
    </ion-button>
    <ion-button *ngIf="!variables.isLoginThanhVien" color="secondary"
      (click)="this.commonMethodsTs.toPage_MemberLogin()" expand="block" class="btn-create-rating">
      <ion-label>
        Đăng nhập để viết nhận xét
      </ion-label>
    </ion-button>
  </div>
</ion-fab>